Skip to main content
GET
/
v2
/
payout-requests
/
{payout_request_id}
Retrieve a Payout Request
curl --request GET \
  --url https://api.dots.dev/api/v2/payout-requests/{payout_request_id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.dots.dev/api/v2/payout-requests/{payout_request_id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.dots.dev/api/v2/payout-requests/{payout_request_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created": "2023-11-07T05:31:56Z",
  "amount": 123,
  "payee": {
    "country_code": "<string>",
    "phone_number": "<string>"
  },
  "payout-link": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created": "2023-11-07T05:31:56Z",
    "link": "<string>",
    "amount": 123,
    "payee": {
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "country_code": "<string>",
      "phone_number": "<string>"
    },
    "delivery": {
      "email": "jsmith@example.com",
      "country_code": "<string>",
      "phone_number": "<string>"
    },
    "tax_exempt": true,
    "claimed_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "memo": "<string>",
    "metadata": "<string>"
  },
  "user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "jsmith@example.com",
    "phone_number": {
      "country_code": "<string>",
      "phone_number": "<string>"
    },
    "default_payout_method_details": {
      "id": "<string>",
      "description": "<string>",
      "mask": "<string>",
      "email": "<string>",
      "phone_number": "<string>",
      "cash_tag": "<string>",
      "country": "<string>",
      "currency": "<string>",
      "rtp_enabled": true,
      "meta": "<unknown>"
    },
    "wallet": {
      "amount": 123,
      "withdrawable_amount": 123,
      "credit_balance": 123
    },
    "compliance": {
      "tax_id_collected": true,
      "address_collected": true,
      "date_of_birth_collected": true,
      "must_collect_1099": true,
      "1099_collected": true,
      "w8_ben_collected": true,
      "flagged": true,
      "id_verified": true,
      "has_criminal_activity": true,
      "background_check": {
        "updated": "2023-11-07T05:31:56Z"
      },
      "w9": {
        "business_name": "<string>",
        "tax_id_collected": true,
        "address_collected": true
      },
      "flags": {
        "ofac": true,
        "payout_method": true,
        "payout_method_cycle": true,
        "name_mismatch": true
      }
    },
    "metadata": "<string>",
    "payout_options_exclude_list": []
  },
  "metadata": "<string>",
  "memo": "<string>"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

payout_request_id
string
required

Id of the payout request

Response

200 - application/json

OK

The payout-request id.

id
string<uuid>

ID of the payout-request.

created
string<date-time>

Date that the payout-request was created.

amount
number

Amount in cents of the payout-request.

status
enum<string>

Status of the payout-request.

Available options:
created,
approved,
rejected
payee
object

The payout-link that was sent when the payout-request was approved.

user
object

The user that requested the payout.

metadata

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format.

memo
string